/**
 * 
 */
package eu.etaxonomy.taxeditor.editor.key.handler;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.handlers.HandlerUtil;

import eu.etaxonomy.taxeditor.editor.key.AbstractGraphKeyEditor;

/**
 * @author n.hoffmann
 *
 */
public class ApplyLayoutHandler extends AbstractHandler {

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		IEditorPart editor = HandlerUtil.getActiveEditor(event);
		
		if(editor instanceof AbstractGraphKeyEditor){
			((AbstractGraphKeyEditor) editor).applyLayout();
		}
		
		return null;
	}

}
